Subject: RE: bug#23935: 25.1.50; simple reproducible crash for emacs -Q: `M-: (+ 1997 120 400)'

From: Drew Adams <[email-masked]>
Date: Sun, 10 Jul 2016 10:28:17 -0700 (PDT)

> > > > 1. emacs -Q
> > > > 2. M-: (+ 1997 120 400)
> > > > Emacs crashes systematically.
> > >
> > > It doesn't crash here.  Maybe you have some font installed that
> > > triggers this crash.  Can someone else reproduce this?
> >
> > It's also possible that this was fixed.  The build is a bit old
> > (it's all I have).
> 
> I have now tried binaries from around the date your build was made,
> and they don't crash here.

OK, great.  Thanks for doing that.

> The system where I tried doesn't have a font that supports the
> characters whose codepoint is the result of the evaluation, u+09D5.
> That character belongs to the Bengali block.
>
> Can you see which font(s) you have installed that support that block?

I have no idea how to do that.  If it is easy and quick to do, I can
try.  Please let me know what to do.

> Also, does Emacs display the Bengali greeting in etc/HELLO?  If it
> does, you can use "C-u C-x =" on that part of HELLO to show the font
> Emacs uses.

First, `C-h h' also crashes immediately.

Second, trying to visit file etc/HELLO also crashes immediately.

HTH.